Package org.eclipse.cdt.utils.pty

## Class ConPTYInputStream

- java.lang.Object
- - java.io.InputStream
  - - org.eclipse.cdt.utils.pty.PTYInputStream
    - - org.eclipse.cdt.utils.pty.ConPTYInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

    public class ConPTYInputStream
    extends PTYInputStream

Restriction:
  This class is not intended to be referenced by clients.

### Constructor Summary

Constructors
`ConPTYInputStream​(ConPTY conPty)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()` Close the Reader
`int` `read​(byte[] buf, int off, int len)`

### Methods inherited from class org.eclipse.cdt.utils.pty.PTYInputStream

`finalize, read`

### Methods inherited from class java.io.InputStream

`available, mark, markSupported, nullInputStream, read, readAllBytes, readNBytes, readNBytes, reset, skip, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConPTYInputStream

    public ConPTYInputStream​(ConPTY conPty)

### Method Detail

#### read

    public int read​(byte[] buf,
                    int off,
                    int len)
             throws IOException

Overrides:
  `read` in class `PTYInputStream`
Throws:
  `IOException`
See Also:
  `InputStream.read(byte[], int, int)`

#### close

    public void close()
               throws IOException

Close the Reader

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `PTYInputStream`
Throws:
  `IOException` - on error.